Bug 389251 - symlinks and packaging
symlinks and packaging
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: amsn (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Sander Hoentjen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 389261
  Show dependency treegraph
 
Reported: 2007-11-18 06:26 EST by Florian La Roche
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-21 07:42:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian La Roche 2007-11-18 06:26:53 EST
Description of problem:

tcl-8.4 has moved from /usr/lib/tcl8.4 to /usr/share/tcl8.4. Please adjust
the packaging of the other dependent rpms to also use /usr/share/tcl8.4
instead of the symlink:

symlink /usr/lib/tcl8.4 from tcl-8.4.15-5.fc8.i386.rpm is used
as directory name in tkdnd-1.0a2-9.fc8.i386.rpm, amsn-0.96-7.fc7.i386.rpm,
tbcload-1.4-5.20061030cvs.fc8.i386.rpm

regards,

Florian La Roche


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Sander Hoentjen 2007-11-18 16:08:04 EST
%{libdir}/tcl%{tcl_version} is used to package arch-specific tcl-packages, what
is wrong with that?
It surely can't go in datadir?
Comment 2 Sander Hoentjen 2007-11-18 16:12:26 EST
what i mean is: the symlink should be an actual dir, not a symlink. This will
change with the release of tcl/tk 8.5
Comment 3 Florian La Roche 2007-11-18 17:02:01 EST
Seems like this change is now already done for the 8.4
release. Is /usr/share not possible for this package?

regards,

Florian La Roche
Comment 4 Sander Hoentjen 2007-11-19 01:30:21 EST
Well, /usr/share is only for arch-independent stuff. Both amsn and tkdnd are
arch-dependent, that's why they can't go there.
From http://fedoraproject.org/wiki/PackagingDrafts/Tcl which is still a draft,
but a good guideline nonetheless: "Tcl extension packages must be installed in
%{_datadir}/tcl8.x if they are noarch packages containing only Tcl code, or
%{_libdir}/tcl8.x if they are arch-specific extensions containing shared libraries."
Comment 5 Florian La Roche 2007-11-19 02:40:07 EST
Ok, seems like the TODO section in the above wiki has all the needed items in it
and tcl needs to be fixed first.

Thanks a lot,

Florian La Roche
Comment 6 Marcela Mašláňová 2007-11-19 08:23:30 EST
I'd like to fix all installation path in tcl8.5. I created testing rpm, this
problem is related with bug#160441

Note You need to log in before you can comment on or make changes to this bug.